<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml">
    <ul class="dropdown-menu">
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.AND']}"
                             actionListener="#{ruleEditorManager.createAnd(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.CONTAIN']}"
                             actionListener="#{ruleEditorManager.createContain(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.EQUAL']}"
                             actionListener="#{ruleEditorManager.createEq(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.FOREACH']}"
                             actionListener="#{ruleEditorManager.createForEach(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.IN']}"
                             actionListener="#{ruleEditorManager.createIn(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.INVALUESET']}"
                             actionListener="#{ruleEditorManager.createInValueSet(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.MATHCOMPARISON']}"
                             actionListener="#{ruleEditorManager.createMathComparison(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.NOT']}"
                             actionListener="#{ruleEditorManager.createNot(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.OR']}"
                             actionListener="#{ruleEditorManager.createOr(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.PRESENT']}"
                             actionListener="#{ruleEditorManager.createPresent(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.SIZEEQ']}"
                             actionListener="#{ruleEditorManager.createSizeEq(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.SIZE']} &gt;="
                             actionListener="#{ruleEditorManager.createSizeGreater(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.SIZE']} =&lt;"
                             actionListener="#{ruleEditorManager.createSizeLess(targetId)}"
                             render="workingBoard" />
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.TRUE']}"
                             actionListener="#{ruleEditorManager.createTrue(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.XOR']}"
                             actionListener="#{ruleEditorManager.createXor(targetId)}"
                             render="workingBoard"/>
        </li>
        <li>
            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.DATECOMPARISON']}"
                             actionListener="#{ruleEditorManager.createDateComparison(targetId)}"
                             render="workingBoard"/>
        </li>
    </ul>
</ui:composition>